<?php

namespace Drupal\token_modifier\Plugin\token_modifier;

use Drupal\token_modifier\Plugin\TokenModifierPluginBase;

/**
 * Makes the first characters of each word uppercase.
 *
 * @TokenModifier(
 *   id = "title-case",
 *   name = @Translation("Title case"),
 *   description = @Translation("Uppercases the first letter of each word.")
 * )
 */
class TitleCase extends TokenModifierPluginBase {

  /**
   * {@inheritdoc}
   */
  public function transform(string $text, array $data = [], array $options = []) {
    return ucwords($this->token->replace($text, $data, $options));
  }

}
